This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 867285 - Packaged blender cannot support international feature of 2.6
Packaged blender cannot support international feature of 2.6
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: blender (Show other bugs)
18
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 04:41 EDT by Cheng-Chia Tseng
Modified: 2013-09-13 22:38 EDT (History)
4 users (show)

See Also:
Fixed In Version: blender-2.68a-5.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-13 22:31:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Blender in English (198.33 KB, image/png)
2013-02-22 23:10 EST, Cheng-Chia Tseng
no flags Details
Blender with "International" checkbox checked (97.49 KB, image/png)
2013-02-22 23:11 EST, Cheng-Chia Tseng
no flags Details
This is the updated screenshot from blender 2.68a provided by f19. Users even cannot see those languages to select to. (90.38 KB, image/png)
2013-08-16 09:22 EDT, Cheng-Chia Tseng
no flags Details

  None (edit)
Description Cheng-Chia Tseng 2012-10-17 04:41:35 EDT
Description of problem:
blender supports internationalization since 2.6. 
I have compiled blender myself, and the internationalization work is good. I can change to "Traditional Chinese" language via checking International Font option in File > User Preferences > System dialogue, then select Traditional Chinese and check Interface and Tooltips.

However, the version distributed by Fedora cannot take the advantage of blender 2.6 features.

If you open a terminal to launch blender, it will print out the message below:
BLF_get_unifont: 'fonts' data path not found for international font, continuing

Version-Release number of selected component (if applicable):2.63a-4


How reproducible:
Always


Steps to Reproduce:
1. launch blender
2. check "International Font" option in System tab of File > User Preferences dialogue
3. select Traditional Chinese as the language
4. check "Interface" and "Tooltips" to translate them into localized ones
  
Actual results:
You see many characters in supported language list are displayed as squares. And nothing happened after you applied the localization changes.


Expected results:
The internationalization work of blender should work fine out of box.

Additional info:
Comment 1 Cheng-Chia Tseng 2013-02-22 22:56:12 EST
blender-2.65a-1.fc18.x86_64 provided by fedora does not support internationalization feature still.
Comment 2 Cheng-Chia Tseng 2013-02-22 23:09:53 EST
In blender-2.65a-1.f18, if "international" being checked, the characters in the program will disappear instead of diplaying as squares in Fedora 17.

Attachments are screenshots.
Comment 3 Cheng-Chia Tseng 2013-02-22 23:10:38 EST
Created attachment 701482 [details]
Blender in English
Comment 4 Cheng-Chia Tseng 2013-02-22 23:11:29 EST
Created attachment 701483 [details]
Blender with "International" checkbox checked
Comment 5 Cheng-Chia Tseng 2013-08-16 09:19:40 EDT
In 2.68a provided by Fedora 19, users cannot choose the language to translate to.
Comment 6 Cheng-Chia Tseng 2013-08-16 09:22:04 EDT
Created attachment 787245 [details]
This is the updated screenshot from blender 2.68a provided by f19. Users even cannot see those languages to select to.
Comment 7 Fedora Update System 2013-08-28 17:38:54 EDT
blender-2.68a-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/blender-2.68a-3.fc19
Comment 8 Fedora Update System 2013-08-28 17:40:36 EDT
blender-2.68a-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/blender-2.68a-3.fc18
Comment 9 Fedora Update System 2013-08-29 18:19:08 EDT
Package blender-2.68a-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing blender-2.68a-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15478/blender-2.68a-3.fc18
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-09-13 22:31:59 EDT
blender-2.68a-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-09-13 22:38:18 EDT
blender-2.68a-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.